AT&T Option 3G card not recognized after hal-info upgrade

Bug #316120 reported by Paul Waldo on 2009-01-11
10
Affects Status Importance Assigned to Milestone
hal-info (Ubuntu)
Undecided
Martin Pitt
Hardy
Undecided
Unassigned
Intrepid
Undecided
Martin Pitt
Jaunty
Undecided
Martin Pitt

Bug Description

Binary package hint: hal-info

Original Intrepid AMD64 hal-info finds my AT&T Option 3G card. When I upgrade hal-info, it is no longer known. I have "option" driver blacklisted and rezero package installed.

ORIGINAL HAL-INFO PACKAGE
--------------------------------------------
paul@paul-laptop:~$ dpkg -l hal-info
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-============================-============================-========================================================================
ii hal-info 20081013-0ubuntu3 Hardware Abstraction Layer - fdi files

[insert card]

paul@paul-laptop:~$ lsusb|grep Option
Bus 005 Device 008: ID 0af0:7011 Option

[/var/log/syslog excerpt]

Jan 11 12:17:46 paul-laptop kernel: [ 1153.344249] usb 5-1: new full speed USB device using uhci_hcd and address 7
Jan 11 12:17:46 paul-laptop kernel: [ 1153.506074] usb 5-1: configuration #1 chosen from 1 choice
Jan 11 12:17:46 paul-laptop kernel: [ 1153.511518] scsi7 : SCSI emulation for USB Mass Storage devices
Jan 11 12:17:46 paul-laptop kernel: [ 1153.520843] usb-storage: device found at 7
Jan 11 12:17:46 paul-laptop kernel: [ 1153.520855] usb-storage: waiting for device to settle before scanning
Jan 11 12:17:51 paul-laptop kernel: [ 1158.521960] usb-storage: device scan complete
Jan 11 12:17:51 paul-laptop kernel: [ 1158.524894] scsi 7:0:0:0: CD-ROM ZCOPTION HSDPA Modem 3.00 PQ: 0 ANSI: 2
Jan 11 12:17:51 paul-laptop kernel: [ 1158.551219] sr1: scsi-1 drive
Jan 11 12:17:51 paul-laptop kernel: [ 1158.551409] sr 7:0:0:0: Attached scsi CD-ROM sr1
Jan 11 12:17:51 paul-laptop kernel: [ 1158.551600] sr 7:0:0:0: Attached scsi generic sg2 type 5
Jan 11 12:17:52 paul-laptop kernel: [ 1158.688259] usb 5-1: USB disconnect, address 7
Jan 11 12:17:52 paul-laptop kernel: [ 1158.689768] scsi 7:0:0:0: rejecting I/O to dead device
Jan 11 12:17:52 paul-laptop kernel: [ 1158.690159] scsi 7:0:0:0: rejecting I/O to dead device
Jan 11 12:17:53 paul-laptop kernel: [ 1160.288182] usb 5-1: new full speed USB device using uhci_hcd and address 8
Jan 11 12:17:53 paul-laptop kernel: [ 1160.444232] usb 5-1: configuration #1 chosen from 1 choice
Jan 11 12:17:53 paul-laptop kernel: [ 1160.449892] hso0: Disabled Privacy Extensions
Jan 11 12:17:53 paul-laptop nm-system-settings: SCPlugin-Ifupdown: device added (udi: /org/freedesktop/Hal/devices/usb_device_af0_7011_Serial_Number_if0_serial_unknown_1, iface: (null)): iface not found
Jan 11 12:17:53 paul-laptop nm-system-settings: SCPlugin-Ifupdown: device added (udi: /org/freedesktop/Hal/devices/usb_device_af0_7011_Serial_Number_if0_serial_unknown_0, iface: (null)): iface not found
Jan 11 12:17:53 paul-laptop NetworkManager: <info> ttyHS1: driver is 'hso'.
Jan 11 12:17:53 paul-laptop NetworkManager: <debug> [1231694273.981346] setup_monitor_device(): No monitoring udi provided
Jan 11 12:17:53 paul-laptop NetworkManager: <info> Found new Modem device 'ttyHS1'.
Jan 11 12:17:53 paul-laptop NetworkManager: <info> (ttyHS1): exported as /org/freedesktop/Hal/devices/usb_device_af0_7011_Serial_Number_if0_serial_unknown_1
Jan 11 12:17:53 paul-laptop NetworkManager: <info> ttyHS0: driver is 'hso'.
Jan 11 12:17:53 paul-laptop NetworkManager: <debug> [1231694273.988597] setup_monitor_device(): No monitoring udi provided
Jan 11 12:17:53 paul-laptop NetworkManager: <info> Found new Modem device 'ttyHS0'.
Jan 11 12:17:53 paul-laptop NetworkManager: <info> (ttyHS0): exported as /org/freedesktop/Hal/devices/usb_device_af0_7011_Serial_Number_if0_serial_unknown_0
-----------------------------------------------------------------------------------------------------------------------

3G card is found just fine and I can connect. Now I upgrade hal-info, and hal no longer finds the card and I cannot connect; network-manager does not display the card as a connectable device.

UPGRADED HAL-INFO PACKAGE
----------------------------------------------
paul@paul-laptop:~$ dpkg -l hal-info
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-============================-============================-========================================================================
ii hal-info 20081124-0ubuntu1~intrepid Hardware Abstraction Layer - fdi files

[insert card]
paul@paul-laptop:~$ lsusb|grep Option
Bus 005 Device 010: ID 0af0:7011 Option

[/var/log/syslog excerpt]

Jan 11 12:30:53 paul-laptop kernel: [ 1939.752188] usb 5-1: new full speed USB device using uhci_hcd and address 9
Jan 11 12:30:53 paul-laptop kernel: [ 1939.925646] usb 5-1: configuration #1 chosen from 1 choice
Jan 11 12:30:53 paul-laptop kernel: [ 1939.936305] scsi8 : SCSI emulation for USB Mass Storage devices
Jan 11 12:30:53 paul-laptop kernel: [ 1939.936629] usb-storage: device found at 9
Jan 11 12:30:53 paul-laptop kernel: [ 1939.936633] usb-storage: waiting for device to settle before scanning
Jan 11 12:30:58 paul-laptop kernel: [ 1944.937595] usb-storage: device scan complete
Jan 11 12:30:58 paul-laptop kernel: [ 1944.945553] scsi 8:0:0:0: CD-ROM ZCOPTION HSDPA Modem 3.00 PQ: 0 ANSI: 2
Jan 11 12:30:58 paul-laptop kernel: [ 1944.970425] sr1: scsi-1 drive
Jan 11 12:30:58 paul-laptop kernel: [ 1944.971523] sr 8:0:0:0: Attached scsi CD-ROM sr1
Jan 11 12:30:58 paul-laptop kernel: [ 1944.973001] sr 8:0:0:0: Attached scsi generic sg2 type 5
Jan 11 12:30:58 paul-laptop kernel: [ 1945.144333] usb 5-1: USB disconnect, address 9
Jan 11 12:30:58 paul-laptop kernel: [ 1945.145952] scsi 8:0:0:0: rejecting I/O to dead device
Jan 11 12:30:58 paul-laptop kernel: [ 1945.145990] scsi 8:0:0:0: rejecting I/O to dead device
Jan 11 12:31:00 paul-laptop kernel: [ 1946.696186] usb 5-1: new full speed USB device using uhci_hcd and address 10
Jan 11 12:31:00 paul-laptop kernel: [ 1946.851887] usb 5-1: configuration #1 chosen from 1 choice
Jan 11 12:31:00 paul-laptop kernel: [ 1946.854678] hso0: Disabled Privacy Extensions

HAL does not find the modem, and does not inform network-manger of its existence, therefore it cannot be used to connect. Downgrading to the original hal-info version restores functionality. Here is my version info:

paul@paul-laptop:~$ lsb_release -rd
Description: Ubuntu 8.10
Release: 8.10
paul@paul-laptop:~$ uname -a
Linux paul-laptop 2.6.27-9-generic #1 SMP Thu Nov 20 22:15:32 UTC 2008 x86_64 GNU/Linux

Thanks so much!!

Martin Pitt (pitti) wrote :

Apparently this got broken in this change:

  http://cgit.freedesktop.org/hal-info/commit/?id=113cbe13dfb3935eeafec66ebbd813b358f7178b

This was an attempt to make this model work with both the hso and the option kernel driver.

Can you please do

  lshal > /tmp/hal-hso.txt

? (I assume the "hso" module is loaded for you).

Does it work if you unblacklist option again? (It is not blacklisted by default). Can you please do

 lshal > /tmp/hal-option.txt

while the "option" module is loaded?

Please attach /tmp/hal-option.txt and /tmp/hal-hso.txt here.

Thanks!

Changed in hal-info:
status: New → Incomplete
assignee: nobody → pitti
Martin Pitt (pitti) wrote :

Whoops, this actually got committed *after* the version in intrepid-updates, so this just sounds like the fix we need here. Can you please download this FDI file an install it with

  sudo cp 10-modem.fdi /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi

? Does it work again? Thanks!

Martin Pitt (pitti) wrote :

For now I assume that the mentioned fix repairs this modem. Please let me know if not.

Changed in hal-info:
status: Incomplete → Fix Committed
assignee: nobody → pitti
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-info - 20090128-0ubuntu1

---------------
hal-info (20090128-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot:
    - Add Nokia E51 mobile modem (LP: #261416)
    - Add Nokia N and E series modems (LP: #303748)
    - Add ATT USBConnect Mercury modem (LP: #306604)
    - Add Sony Ericsson W890i music player (LP: #314618)
    - Fix detection of AT&T Option 3G modems again (LP: #316120)
    - Add ZTE AC8700 (EV-DO) modem (LP: #321213)
  * Dropped most of our patches, committed upstream:
    - 03_missing_lenovo_hotkey.patch
    - 04_globetrotter_hsupa_modem.patch
    - 05_missing_samsung_hotkey.patch
    - 06_missing_asus_hotkeys.patch
    - 07_missing_hp_hotkeys.patch
    - 08_missing_fujitsu_hotkeys.patch

 -- Martin Pitt <email address hidden> Wed, 28 Jan 2009 10:48:37 +0100

Changed in hal-info:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted hal-info into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in hal-info:
status: In Progress → Fix Committed
Paul Waldo (pwaldo) wrote :

That indeed fixed the problem. I updated to the latest hal-info, replaced 10-modem.fdi, and my 3G card is now recognized, with the added benefit that I see it only once in the network-manager list. Thank you!!!!

Paul Waldo (pwaldo) wrote :

Do I mark this as fixed? If so, how?

Steve Langasek (vorlon) wrote :

Thanks for testing, Paul. Since the upload includes other changes, we should wait for other feedback to confirm there are no regressions before declaring this 'fixed'.

Martin Pitt (pitti) wrote :

Thanks, Paul. I'll mark this particular bug as verified. hal-info will nevertheless stay in -proposed for a week or two, to get some more feedback on it.

Martin Pitt (pitti) wrote :

This is in hardy-proposed as well already.

Changed in hal-info:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-info - 20090128-0ubuntu1~intrepid2

---------------
hal-info (20090128-0ubuntu1~intrepid2) intrepid-proposed; urgency=low

  * Add 01_disable_samsung_nc10_keymap.patch: Disable keymap for
    Samsung NC10, since it causes X freezes on the intrepid kernel.
    (LP: #295251)
  * Add 00git-option_modem_fix.patch: Fix Option Globetrotter HSUPA
    modem (product 0x7211). Backported from git head. (LP: #304818)
  * Add 00git-latitude_d810_suspend.patch: Fix video quirks on Dell
    Latitude D810 (regression in previous intrepid-updates hal-info).
    (LP: #315271)

hal-info (20090128-0ubuntu1~intrepid1) intrepid-proposed; urgency=low

  * New upstream git snapshot:
    - Add Nokia E51 mobile modem (LP: #261416)
    - Add Nokia N and E series modems (LP: #303748)
    - Add ATT USBConnect Mercury modem (LP: #306604)
    - Add Sony Ericsson W890i music player (LP: #314618)
    - Fix detection of AT&T Option 3G modems again (LP: #316120)
    - Add ZTE AC8700 (EV-DO) modem (LP: #321213)

 -- Martin Pitt <email address hidden> Tue, 10 Feb 2009 13:43:24 +0100

Changed in hal-info:
status: Fix Committed → Fix Released
Per Ångström (autark) wrote :

I'm on Jaunty and borrowed a modem (provided by Swedish Internet provider Glocalnet) that looks like this one. But it was not recognized as a modem, only as a removable drive:

Apr 7 14:21:26 barbaren kernel: [ 6240.484114] usb 7-1: new full speed USB device using uhci_hcd and address 2
Apr 7 14:21:26 barbaren kernel: [ 6240.642944] usb 7-1: configuration #1 chosen from 1 choice
Apr 7 14:21:26 barbaren kernel: [ 6240.648049] scsi4 : SCSI emulation for USB Mass Storage devices
Apr 7 14:21:26 barbaren kernel: [ 6240.652484] usb-storage: device found at 2
Apr 7 14:21:26 barbaren kernel: [ 6240.652489] usb-storage: waiting for device to settle before scanning
Apr 7 14:21:31 barbaren kernel: [ 6245.654375] usb-storage: device scan complete
Apr 7 14:21:31 barbaren kernel: [ 6245.657255] scsi 4:0:0:0: CD-ROM ZCOPTION HSDPA Modem 3.00 PQ: 0 ANSI: 2
Apr 7 14:21:31 barbaren kernel: [ 6245.699765] sr0: scsi-1 drive
Apr 7 14:21:31 barbaren kernel: [ 6245.699773] Uniform CD-ROM driver Revision: 3.20
Apr 7 14:21:31 barbaren kernel: [ 6245.699988] sr 4:0:0:0: Attached scsi CD-ROM sr0
Apr 7 14:21:31 barbaren kernel: [ 6245.700130] sr 4:0:0:0: Attached scsi generic sg1 type 5

I was running hal-info 20090324-0ubuntu1 at the time. I don't have access to the modem any more, but I thought I should report the issue anyway.

Paul Waldo (pwaldo) wrote :

I created another bug report (https://bugs.launchpad.net/bugs/360592) its lack of inclusion in Jaunty

Steve Beattie (sbeattie) wrote :

The hardy version of hal-info received the fix for this bug in the 20090128-0ubuntu1~hardy2 update but didn't get autoclosed; closing.

Changed in hal-info (Ubuntu Hardy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments